%global octpkg signal

Name:           octave-%{octpkg}
Version:        1.3.0
Release:        3%{?dist}
Summary:        Signal processing tools for Octave
Group:          Applications/Engineering
License:        GPLv3+
URL:            http://octave.sourceforge.net/signal/
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz

BuildRequires:  octave-devel >= 3.6.0
BuildRequires:  octave-control >= 2.2.3
BuildRequires:  octave-general >= 1.3.2

Requires:       octave(api) = %{octave_api}
Requires(post): octave
Requires(postun): octave
Requires:       octave-control >= 2.2.3
Requires:       octave-general >= 1.3.2


%description
Signal processing tools, including filtering, windowing and display

%prep
%setup -q -n %{octpkg}
for i in inst/*.m; do
  iconv -f iso8859-1 -t utf-8 $i > $i.conv && mv -f $i.conv $i
done;

%build
#octave pkg build dependency check does not work
#https://bugzilla.redhat.com/show_bug.cgi?id=733615
%octave_pkg_build
#octave_cmd pkg build '-verbose' '-nodeps' %{_tmppath}/%{name}-%{version}-%{release}.%{_arch} %{_builddir}/%{buildsubdir}

%install
rm -rf %{buildroot}
%octave_pkg_install

%post
%octave_cmd pkg rebuild

%preun
%octave_pkg_preun

%postun
%octave_cmd pkg rebuild

%files
%defattr(-,root,root,-)
%{octpkglibdir}

%dir %{octpkgdir}
%doc %{octpkgdir}/doc-cache
%{octpkgdir}/*.m
%{octpkgdir}/private/*.m
%{octpkgdir}/packinfo
%doc %{octpkgdir}/packinfo/COPYING


%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Jan 30 2014 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.3.0-1
- update to 1.3.0

* Sun Dec 29 2013 Orion Poplawski <orion@cora.nwra.com> - 1.2.2-3
- Rebuild for octave 3.8.0

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Mar 26 2013 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.2.2-1
- update to 1.2.2

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Nov  8 2012 Orion Poplawski <orion@cora.nwra.com> - 1.2.0-1
- Update to 1.2.0
- Rebase nostrip patch
- New requires

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue May 15 2012 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.1.3-1
- update to 1.1.3

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-2
- Rebuilt for c++ ABI breakage

* Wed Jan 18 2012 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.1.2-1
- update to 1.1.2

* Mon Jan 16 2012 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.1.1-4
- rebuild for octave 3.6.0

* Sat Jan 14 2012 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.1.1-3
- fix gcc 4.7 compilation

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Nov  8 2011 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.1.1-1
- update to 1.1.1

* Sat Nov  5 2011 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.1.0-1
- update to 1.1.0

* Fri Aug 26 2011 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.0.11-2
- review input

* Fri Jun 03 2011 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.0.11-1
- initial package for Fedora
